package textures.player;

import java.awt.image.BufferedImage;

import _texture.loader.Textures;
import utils.Utils;

/**  ------------- Nihilne ------------
    *** @author Mitch Weaver - 2016 ***
      ~~~~ All Rights Reserved ~~~~ */

public final class BasePlayerGetHitAndDeath {

	public static final void getTextures(final BufferedImage image) {
		final int width = 40, height = 72;
		int count = 0; int ROW = 1;
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 1, ROW++, width, height); // GET HIT NORTH
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 1, ROW++, width, height); // GET HIT NE
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 1, ROW++, width, height); // GET HIT E
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 1, ROW++, width, height); // GET HIT SE
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 1, ROW++, width, height); // GET HIT S
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 1, ROW++, width, height); // GET HIT SW 
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 1, ROW++, width, height); // GET HIT W
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 1, ROW++, width, height); // GET HIT NW
/**********************************************************************************************************************************************/
		ROW = 1;
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 2, ROW, width, height); // NORTH DEATH 1
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 3, ROW, width, height); // NORTH DEATH 2
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 4, ROW, width, height); // NORTH DEATH 3
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 5, ROW, width, height); // NORTH DEATH 4
		
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 2, ++ROW, width, height); // NORTHEAST DEATH 1
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 3, ROW, width, height); // NORTHEAST DEATH 2
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 4, ROW, width, height); // NORTHEAST DEATH 3
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 5, ROW, width, height); // NORTHEAST DEATH 4
		
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 2, ++ROW, width, height); // EAST DEATH 1
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 3, ROW, width, height); // EAST DEATH 2
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 4, ROW, width, height); // EAST DEATH 3
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 5, ROW, width, height); // EAST DEATH 4
		
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 2, ++ROW, width, height); // SOUTHEAST DEATH 1
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 3, ROW, width, height); // SOUTHEAST DEATH 2
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 4, ROW, width, height); // SOUTHEAST DEATH 3
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 5, ROW, width, height); // SOUTHEAST DEATH 4
		
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 2, ++ROW, width, height); // SOUTH DEATH 1
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 3, ROW, width, height); // SOUTH DEATH 2
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 4, ROW, width, height); // SOUTH DEATH 3
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 5, ROW, width, height); // SOUTH DEATH 4
		
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 2, ++ROW, width, height); // SOUTHWEST DEATH 1
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 3, ROW, width, height); // SOUTHWEST DEATH 2
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 4, ROW, width, height); // SOUTHWEST DEATH 3
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 5, ROW, width, height); // SOUTHWEST DEATH 4
		
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 2, ++ROW, width, height); // WEST DEATH 1
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 3, ROW, width, height); // WEST DEATH 2
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 4, ROW, width, height); // WEST DEATH 3
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 5, ROW, width, height); // WEST DEATH 4
		
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 2, ++ROW, width, height); // NORTHWEST DEATH 1
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 3, ROW, width, height); // NORTHWEST DEATH 2
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 4, ROW, width, height); // NORTHWEST DEATH 3
		Textures.basePlayerGetHitAndDeath[count++] = Utils.grabSprite(image, 5, ROW, width, height); // NORTHWEST DEATH 4

	}
	
}
